Page MenuHomePhabricator

Remove "index" related options from claim related jQuery.wikibase.***view widgets
Closed, ResolvedPublic

Description

Get rid of "firstClaimIndex"/"index" options introduced into jQuery.wikibase.claimlistview, jQuery.wikibase.claimview and jQuery.wikibase.referenceview.

The widgets should not care about their own index (position) within their controlling widgets (if any). Instead, if the controlling code (widgets) add a concept of order to the widgets, those controlling code should manage the index (order).


Version: unspecified
Severity: normal

Details

Reference
bz56050
Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterRemoved movetoolbar definitions

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:27 AM
bzimport added a project: WikibaseDatabase.
bzimport set Reference to bz56050.
bzimport added a subscriber: Unknown Object (MLST).
Danwe created this task.Oct 23 2013, 3:55 PM

This has nothing to do with Wikibase Database. Reposted https://github.com/wmde/DataValuesJavascript/issues/30

Lucie reopened this task as Open.Dec 11 2014, 1:40 PM
Lucie raised the priority of this task from Low to Needs Triage.
Lucie edited projects, added DataValues-JavaScript; removed WikibaseDatabase.
Lucie set Security to None.
Lydia_Pintscher triaged this task as Medium priority.Dec 11 2014, 1:44 PM
Lydia_Pintscher edited projects, added Wikidata; removed Verified.
Lydia_Pintscher removed subscribers: Unknown Object (MLST), Wikidata-bugs.

Change 179101 had a related patch set uploaded (by Tobias Gritschacher):
Removed movetoolbar definitions

https://gerrit.wikimedia.org/r/179101

Patch-For-Review

Change 179101 merged by jenkins-bot:
Removed movetoolbar definitions

https://gerrit.wikimedia.org/r/179101

JanZerebecki closed this task as Resolved.Jan 14 2015, 2:38 PM